Foreman - Feature #1882

Automatically import available subnets from the smart proxy
10/02/2012 01:20 PM - Sam Kottler

Status: New

Priority: Normal
Assignee: Sam Kottler
Category: Proxy gateway
Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

It should be possible to import subnets for the use to make available. The potential values could be imported based on the subnets
managed by the DHCP server that the proxy is connected to.

History

#1 - 10/03/2012 05:47 AM - Greg Sutcliffe

| thought we did this already? Is there not an "Import Subnets" button associated with a DHCP-managing proxy?

#2 - 10/03/2012 09:37 AM - Sam Kottler
Hadn't seen that before...
We should add it to the subnets page to keep the Ul consistent with how we handle classes.

#3 - 10/15/2012 02:40 PM - Ohad Levy

+1, so its just to add a button to the subnets ui?

#4 - 10/15/2012 02:41 PM - Sam Kottler
- Category set to Proxy gateway

- Target version setto 1.1

Exactly, @Ohad Levy. | will submit a pull request for it soon; tagging for 1.1.

#5 - 11/23/2012 03:00 PM - Ohad Levy

- Assignee set to Sam Kottler

#6 - 12/14/2012 01:41 PM - Sam Kottler
- Status changed from New to Feedback

- Priority changed from Low to Normal

I've opened a pull request for this at https:/github.com/theforeman/foreman/pull/307.

#7 - 12/19/2012 04:30 AM - Ohad Levy

commented on the PR

#8 - 01/18/2013 04:47 AM - Mikael Fridh

| was previously looking at parsing isc dhcpd config to automatically populate the range fields etc, could be done in a naive way rather easily, but
getting all the edge cases right didn't really feel simple enough to be worth it. What | mean is, if there is a range from to use that, if there is a groupf}
with deny unknown-clients and a range inside use that, skip the range with permit unknown-clients etc.

Now I'm thinking... maybe, as a helper to the operator we could present a text representation of the actual subnet {} declaration somewhere in the Ul.
#9 - 01/22/2013 04:20 PM - Sam Kottler

- Target version changed from 1.1 to 1.2.0

I'm moving this to 1.2 because it seems like there is more work that's needed beyond just adding a new button.

#10 - 05/10/2013 02:25 AM - Ohad Levy
- Target version deleted (1.2.0)

#11 - 06/19/2013 09:14 AM - Benjamin Papillon

- Status changed from Feedback to New
